
#############
# Parameters
#############
NETWORK_SIZE     1000000
DENSITY          0.001
END_TIME         26
LATENCY_MIN      1
LATENCY_MAX      1
STEP             1
STEP_RPS         10
DB_BATCH_SIZE    1000000
SOURCES          10
VARIABLES        10
DELAY_UPDATES    1

#######################
# Parameters of gossip
#######################
FANOUT           10
RPS_VIEW_SIZE    50
ALPHA            0
BETA             0
DUP_SEND_P       1
DUP_SEND_S       2
HOP_THRESHOLD_1  3
HOP_THRESHOLD_2  4

#######################################
# Common to simple and priority gossip
#######################################
simulation.endtime                  END_TIME
network.size                        NETWORK_SIZE

init.sch                            CDScheduler
init.sch.protocol                   pgossipdup

init.src                            SourceSetter
init.src.protocol                   pgossipdup
init.src.sources                    SOURCES
init.src.variables                  VARIABLES
init.src.delay                      DELAY_UPDATES

control.obs                         Observer
control.obs.step                    STEP
control.obs.protocol                pgossipdup
control.obs.density                 DENSITY
control.obs.sources                 SOURCES

protocol.transport                  UniformRandomTransport
protocol.transport.mindelay         LATENCY_MIN
protocol.transport.maxdelay         LATENCY_MAX

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

##################
# Priority gossip
##################
init.prim                           PrimarySetter
init.prim.protocol                  pgossipdup
init.prim.density                   DENSITY

control.prps                        PriorityRandomPeerSampler
control.prps.step                   STEP_RPS
control.prps.viewSize               RPS_VIEW_SIZE
control.prps.protocol               pgossipdup
control.prps.linkableP              neighboursP
control.prps.linkableS              neighboursS
control.prps.linkablePS             neighboursPS
control.prps.alpha                  ALPHA
control.prps.beta                   BETA

protocol.pgossipdup                 PriorityGossipDuplicate
protocol.pgossipdup.step            STEP
protocol.pgossipdup.linkableP       neighboursP
protocol.pgossipdup.linkableS       neighboursS
protocol.pgossipdup.transport       transport
protocol.pgossipdup.fanout          FANOUT
protocol.pgossipdup.tagsActivated   true
protocol.pgossipdup.dupSendP        DUP_SEND_P
protocol.pgossipdup.dupSendS        DUP_SEND_S
protocol.pgossipdup.variables       VARIABLES
